package interpreter;

public class InteractiveLispInterpreter extends LispInterpreter {

    private static final String GREETING = "Transcendental Lisp - Version 1.0.0";
    private static final String PROMPT = "~ ";

    @Override
    protected void printGreeting() {
        environment.getOutput().println(GREETING);
        environment.getOutput().println();
    }

    @Override
    protected void displayPrompt() {
        environment.getOutput().print(PROMPT);
    }

    @Override
    protected void erasePrompt() {
        for (int i = 0; i < PROMPT.length(); i++) {
            environment.getOutput().print("\b");
        }
    }

    @Override
    protected void printFarewell() {
        environment.getOutput().println();
        environment.getOutput().println();
    }

}
